from flask import Flask

def create_app():
    app = Flask(__name__)

    # Prep the database
    from acks.models import db
    app.config['SQLALCHEMY_DATABASE_URI'] = 'sqlite:///../data/acks.db'
    app.config['SQLALCHEMY_TRACK_MODIFICATIONS'] = False
    db.init_app(app)

    # Load our views
    from acks.views import default_views
    app.register_blueprint(default_views)

    from acks.npc.views import npc_views
    app.register_blueprint(npc_views)

    # Load our CLI commands
    from acks.commands import default_cli
    app.cli.add_command(default_cli)

    from acks.npc.commands import npc_cli
    app.cli.add_command(npc_cli)

    return app
